Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface CampaignConstants

Deprecated Use ejb-refs instead.

    public interface CampaignConstants

Constants used by the campaign components, including jndi home names of the various services

Field Summary
`static String` | `ACTION_SERVICE_HOME` Deprecated
`static String` | `AD_BUCKET_SERVICE_HOME` Deprecated Default ad bucket service home name.
`static String` | `AD_CONFLICT_RESOLVER_HOME` Deprecated Default ad conflict resolver home name.
`static String` | `AD_SERVICE_HOME` Deprecated Default ad service home name.
`static String` | `CAMPAIGN_REPOSITORY_HOME` Deprecated Default campaign repository home name.
`static String` | `CAMPAIGN_SERVICE_HOME` Deprecated Default campaign service home name.
`static String` | `PLACEHOLDER_SERVICE_HOME` Deprecated Default placeholder service home name.
`static String` | `SCENARIO_REPOSITORY_HOME` Deprecated Default scenario repository home name.
`static String` | `SCENARIO_SERVICE_HOME` Deprecated Default scenario service home name.

Field Detail

### CAMPAIGN_SERVICE_HOME

    static final String CAMPAIGN_SERVICE_HOME

  Deprecated
  Default campaign service home name.

  See Also
    Constants Summary

### CAMPAIGN_REPOSITORY_HOME

    static final String CAMPAIGN_REPOSITORY_HOME

  Deprecated
  Default campaign repository home name.

  See Also
    Constants Summary

### SCENARIO_SERVICE_HOME

    static final String SCENARIO_SERVICE_HOME

  Deprecated
  Default scenario service home name.

  See Also
    Constants Summary

### SCENARIO_REPOSITORY_HOME

    static final String SCENARIO_REPOSITORY_HOME

  Deprecated
  Default scenario repository home name.

  See Also
    Constants Summary

### PLACEHOLDER_SERVICE_HOME

    static final String PLACEHOLDER_SERVICE_HOME

  Deprecated
  Default placeholder service home name.

  See Also
    Constants Summary

### AD_SERVICE_HOME

    static final String AD_SERVICE_HOME

  Deprecated
  Default ad service home name.

  See Also
    Constants Summary

### AD_BUCKET_SERVICE_HOME

    static final String AD_BUCKET_SERVICE_HOME

  Deprecated
  Default ad bucket service home name.

  See Also
    Constants Summary

### AD_CONFLICT_RESOLVER_HOME

    static final String AD_CONFLICT_RESOLVER_HOME

  Deprecated
  Default ad conflict resolver home name.

  See Also
    Constants Summary

### ACTION_SERVICE_HOME

    static final String ACTION_SERVICE_HOME

  Deprecated
  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.